
Figure - Bug #111881
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110868 (New): BSP-BVT测试-上/下电测试

【BSP】【EVT】【power】【概率:1/15】循环执行reboot命令15次，出现一次板子未起来，屏幕黑屏，端口只
有串口端口，电流580ma左右
2022-09-09 16:49 - SZTS_TEST 邹涛

Status: CLOSED Start date: 2022-09-09

Priority: High Due date:

Assignee: SZTS_TEST 邹涛 % Done: 100%

Category: SYSTEM Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V1.0_update_20220925

Need_Info: -- Found Version: 0909号DB

Resolution: DUPLICATE Degrated: --

Severity: Critical Verified Version:

Reproducibility: Frequently Fixed Version:

Test Type: Bring Up Test Root cause:

Description

前置条件：

1、DUT各模块功能正常且处于开机状态

操作步骤：

1、执行reboot循环重启脚本，查看板子和屏幕状态

实际结果：

1、重启第15次出现板子未起来，屏幕黑屏，端口只有串口端口，电流580ma左右

预期结果：

1、板子正常启动，屏幕正常点亮

Related issues:

Related to Figure - Bug # 111349: 【BSP】【EVT】【power】【低概率】执... CLOSED 2022-09-15

History

#1 - 2022-09-14 10:41 - CD SYSTEM-赵正军

- Status changed from New to ASSIGNED

#2 - 2022-09-14 10:47 - CD SYSTEM-赵正军

- Status changed from ASSIGNED to RESOLVED

- Resolution changed from -- to DUPLICATE

Bug同 #111349 #111703

从log中可以看出,分区选择报错,无法找到分区表信息,导致出现空指针后软件流程进入fastboot模式

目前用如下版本测试345次,没有出现问题, 还请测试同事使用测试主板再次确认

ftp://dvbuild:thundercomm@10.0.76.28/home/scm/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20220909/202209092232-1206

测试log见附件minicom.zip

#3 - 2022-09-14 10:49 - CD SYSTEM-赵正军

- File minicom.zip added

- Assignee changed from CD SYSTEM-赵正军 to SZTS_TEST 邹涛
#4 - 2022-09-14 11:29 - CD TPM-申艳艳

- Category set to SYSTEM

- % Done changed from 0 to 100

#5 - 2022-09-14 17:28 - SZTS_TEST 邹涛

ftp://dvbuild:thundercomm@10.0.76.28/home/scm/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20220909/202209092232-1206

使用修改过硬件的板子+上面的软件版本，验证问题未修复，重启第14次进fastboot模式

#6 - 2022-09-14 17:29 - SZTS_TEST 邹涛

- File Serial-COM119_20220914165218.log added

#7 - 2022-09-14 17:30 - SZTS_TEST 邹涛

- Status changed from RESOLVED to VERIFY_FAILED

#8 - 2022-09-14 17:31 - SZTS_TEST 邹涛

- Assignee changed from SZTS_TEST 邹涛 to CD SYSTEM-赵正军

#9 - 2022-09-15 13:26 - CD SYSTEM-赵正军

- Status changed from VERIFY_FAILED to ASSIGNED

- Assignee changed from CD SYSTEM-赵正军 to SZTS_TEST 邹涛

从Serial-COM119_20220914165218.log 看,使用的版本不是202209092232-1206 VB,这个版本会有如下关键日志

1,[    0.000000] Kernel command line  androidboot.slot_suffix=_a

2,[   26.126181] init: [libfs_mgr]GetFstabPath()fstab_path:/vendor/etc/fstab.qcom

出现问题时会有如下日志

3,[   23.294012] reboot: Restarting system with command ''

确认下日志是否有传错?

#10 - 2022-09-15 18:40 - CDTS-TEST 周婷

- Target version set to VX1_MCE_FSE_V1.0_update_20220925

#11 - 2022-09-16 10:52 - CD SYSTEM-赵正军

以下版本仅用于进900E问题验证

ftp://dvbuild:thundercomm@10.0.76.28/home/scm/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20220909/202209092232-1206

针对进fastboot模式问题做了一个专项测试版本如下:

ftp://dvbuild:thundercomm@10.0.76.28/home/scm/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20220915/202209151427-1291

还请测试同事用此版本做问题验证,谢谢
#12 - 2022-09-16 18:02 - SZTS_TEST 邹涛

- File Serial-COM119_20220916173625.log added

0916号DB版本（01.00.X101_20220916_private_userdebug）验证，mcu手动反复升级低概率（1/20）出现设备进入fastboot模式

#13 - 2022-09-19 17:08 - SZTS_TEST 邹涛

ftp://dvbuild:thundercomm@10.0.76.28/home/scm/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20220915/202209151427-1291

使用如上VB版本验证reboot 220次未复现设备进fastboot模式

#14 - 2022-09-19 18:35 - SZTS_TEST 邹涛

- File Serial-COM119_20220919135715.rar added

#15 - 2022-09-19 19:13 - SZTS_TEST 邹涛

- Assignee changed from SZTS_TEST 邹涛 to CD SYSTEM-赵正军

#16 - 2022-09-22 10:09 - CD SYSTEM-胡兵

最新VB200次复测中已触发问题，目前规避方案生效，设备重启。

提交：

https://dev.thundercomm.com/gerrit/c/general/platform/system/core/+/150066

问题日志：

[14:51:00][   23.029657] Run /init as init process

[14:51:00][   23.038763] init: init first stage started!

[14:51:00][   23.043355] init: Unable to open /lib/modules, skipping module loading.

[14:51:00][   23.051362] init: [libfs_mgr]dt_fstab: Skip disabled entry for partition vendor

[14:51:00][   23.058968] init: [libfs_mgr]ReadFstabFromDt(): failed to read fstab from dt

[14:51:00][   23.066637] init: [libfs_mgr]dt_fstab: Skip disabled entry for partition vendor

[14:51:00][   23.074445] init: [libfs_mgr]GetFstabPath()fstab_path:/odm/etc/fstab.default

[14:51:00][   23.081808] init: [libfs_mgr]GetFstabPath()fstab_path:/vendor/etc/fstab.default

[14:51:00][   23.089378] init: [libfs_mgr]GetFstabPath()fstab_path:/fstab.default

[14:51:00][   23.096201] init: [libfs_mgr]GetFstabPath()fstab_path:/odm/etc/fstab.qcom

[14:51:00][   23.103771] init: [libfs_mgr]GetFstabPath()fstab_path:/vendor/etc/fstab.qcom

[14:51:00][   23.123476] OF: graph: no port node found in /soc/qcom,dsi-display-primary

[14:51:00][   23.130639] [drm] [msm-dsi-warn]: [hx82101+hx8692 video mode dsi truly panel] fallback to default te-pin-select

[14:51:00][   23.141065] NPU_INFO: npu_reboot_handler: 760 Device is rebooting with code 1

[14:51:00][   23.142548] msm_drm ae00000.qcom,mdss_mdp: Linked as a consumer to regulator.31

[14:51:00][   23.156369] drmtest 116 drm_atomic_state_alloc

[14:51:00][   23.156492] register_client_adhoc:find path.src 1 dest 590

[14:51:00][   23.157769] register_client_adhoc:Client handle 16 mdss_reg

[14:51:00][   23.160997] last close failed: -12

[14:51:00][   23.177464] register_client_adhoc:find path.src 22 dest 512

[14:51:00][   23.178714] register_client_adhoc:find path.src 23 dest 512

[14:51:00][   23.185645] register_client_adhoc:Client handle 66 mdss_sde

[14:51:00][   23.192179] [drm:sde_dbg_init:4676] evtlog_status: enable:11, panic:1, dump:2

[14:51:00][   23.200303] qcom_rpmh DRV:apps_rsc TCS Busy, retrying RPMH message send: addr=0x41b08
[14:51:00][   23.205788] msm_drm ae00000.qcom,mdss_mdp: bound soc:qcom,wb-display@0 (ops sde_wb_comp_ops)

[14:51:00][   23.217353] reboot: Restarting system with command ''

#17 - 2022-09-22 10:23 - CD SYSTEM-赵正军

- Assignee changed from CD SYSTEM-赵正军 to SZTS_TEST 邹涛

Serial-COM119_20220919135715.rar 

从最新的日志看没有以下日志

init: [libfs_mgr]GetFstabPath()fstab_path.c_str():/vendor/etc/fstab.qcom

说明访问分区表失败，导致出现一次异常，目前通过规避方案让设备重新启动

提交已入库，还请用DB测试

#18 - 2022-09-22 14:49 - CD SYSTEM-赵正军

- Status changed from ASSIGNED to RESOLVED

#19 - 2022-09-23 14:22 - CDTS_TEST 刘勇

验证版本：FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20220923.alpha_0017

验证PCB板子：VX1-已修改GPIO硬件

验证次数：160次

前置条件：

1、DUT各模块功能正常且处于开机状态

操作步骤：

1、执行reboot循环重启脚本，查看板子和屏幕状态

实际结果：

1、重启160 屏幕无黑屏

继续验证上下电

#20 - 2022-09-23 18:18 - SZTS_TEST 邹涛

- Status changed from RESOLVED to VERIFIED

#21 - 2022-09-23 18:18 - SZTS_TEST 邹涛

- Status changed from VERIFIED to CLOSED

#22 - 2022-12-22 20:34 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

150066 general/platform/system/core Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

zhaozj0108@thundersoft.com

SYSTEM:Automatic reboot when the shutdown process is abnormal1. set reboot_target to "", add log for fstab debug;TC-RID: 1200-0800301IssueID:

TS-R-BUG-111881Change-Id: I02d643a01e707ff19eac4e8e4b06835d04d7363b
Files

Serial-COM119_20220909151333.log 2.08 MB 2022-09-09 SZTS_TEST 邹涛

minicom.zip 15.4 MB 2022-09-14 CD SYSTEM-赵正军

Serial-COM119_20220914165218.log 1.71 MB 2022-09-14 SZTS_TEST 邹涛

Serial-COM119_20220916173625.log 420 KB 2022-09-16 SZTS_TEST 邹涛

Serial-COM119_20220919135715.rar 2.45 MB 2022-09-19 SZTS_TEST 邹涛
